'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _flex = require('antd-mobile/lib/flex');

var _flex2 = _interopRequireDefault(_flex);

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('antd-mobile/lib/flex/style/css');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var YYFlexItem = function (_PureComponent) {
    _inherits(YYFlexItem, _PureComponent);

    function YYFlexItem() {
        _classCallCheck(this, YYFlexItem);

        return _possibleConstructorReturn(this, (YYFlexItem.__proto__ || Object.getPrototypeOf(YYFlexItem)).apply(this, arguments));
    }

    _createClass(YYFlexItem, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                prefixCls = _props.prefixCls,
                className = _props.className,
                children = _props.children,
                basis = _props.basis,
                restProps = _objectWithoutProperties(_props, ['prefixCls', 'className', 'children', 'basis']);

            var wrapCls = (0, _classnames2.default)(prefixCls + '-item', className);
            var flexStyle = {};
            if (basis) {
                flexStyle['flexBasis'] = basis;
            }
            return _react2.default.createElement(
                _flex2.default.Item,
                _extends({ className: wrapCls, style: flexStyle }, restProps),
                children
            );
        }
    }]);

    return YYFlexItem;
}(_react.PureComponent);

YYFlexItem.defaultProps = {
    prefixCls: 'yy-flex'
};
exports.default = YYFlexItem;